
QGIS Application - Feature request #552

display vector line direction

2007-01-25 06:59 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10611

Description

I would love QGIS be able to visualize vector lines directions. Like GRASS does.

It would be usefull eg. for hydrological or traffic analysis, visualisation/map production.

I always have to switch to GRASS when I want to check the direction of my lines. It is a pain.

Maciek

History

#1 - 2008-07-14 11:32 AM - Tim Sutton

Stepahie Tellex has submitted a patch for this - there was some discussion about whether this patch should be applied or not. I think the general feeling

was that it would be better to address issues in the rendering logic that make implementing this kind of feature a hack rather than an elegant addition to the

code base. We should consult Marco to see how his recent context rendering additions may be used to further this ticket.

Marco I'm assigning this ticket to you for comment, hope thats ok.

Regards

Tim

#2 - 2009-07-13 06:20 AM - Jürgen Fischer

it's also possible to label the features with ">" and choose "Auto" to have the label follow the line.

#3 - 2009-07-13 06:21 AM - Jürgen Fischer

Replying to [comment:2 jef]:

it's also possible to label the features with ">" and choose "Auto" to have the label follow the line.

Angle "Auto", that is (one click below 0°)

#4 - 2010-06-11 09:30 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed
So it can be done. Anything more? Closing it for now, please reopen it if appropriate
